﻿using System;
using System.Collections.Generic;
using System.Linq;
using Telerik.XamarinForms.DataControls.ListView;
using Xamarin.Forms;

namespace SampleApp
{
    public partial class Page1 : ContentPage
    {
        public Page1()
        {
            InitializeComponent();
            this.BindingContext = this.GetItems(10);
            lv.LongPress += this.lv_LongPress;
            lv.SelectionGesture = SelectionGesture.Hold;
        }

        private async void lv_LongPress(object sender, LongPressEventArgs e)
        {
            var item = e.Item as Item;
            var title = item.Title;

            var action = await this.DisplayActionSheet(title, "Cancel", null, "Email", "Twitter", "Facebook");
            switch (action)
            {
                case "Email":
                    //
                    break;
            }
        }

        private List<Item> GetItems(int count)
        {
            var items = new List<Item>();

            for (int i = 0; i < count; i++)
            {
                items.Add(new Item { Title = string.Format("item {0}", i) });
            }
            
            return items;
        }
    }
}