﻿using System.Linq;
using Foundation;
using SampleApp;
using SampleApp.iOS;
using Telerik.XamarinForms.Common.iOS;
using Telerik.XamarinForms.DataControlsRenderer.iOS;
using UIKit;

[assembly: Xamarin.Forms.ExportRenderer(typeof(CustomListView), typeof(CustomListViewRenderer))]
namespace SampleApp.iOS
{
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            new ListViewRenderer();
            global::Xamarin.Forms.Forms.Init();
            this.LoadApplication(new App());
            TelerikForms.Init();
            return base.FinishedLaunching(app, options);
        }
    }
}